pci_find_ht_capability
Prev | PCI Support Library | Next

## Name

pci_find_ht_capability — query a device's Hypertransport capabilities

## Synopsis

`int pci_find_ht_capability (` | struct pci_dev * | dev,
| int | ht_cap`)`;

## Arguments

`dev`

  PCI device to query

`ht_cap`

  Hypertransport capability code

## Description

Tell if a device supports a given Hypertransport capability. Returns an address within the device's PCI configuration space or 0 in case the device does not support the request capability. The address points to the PCI capability, of type PCI_CAP_ID_HT, which has a Hypertransport capability matching `ht_cap`.

Prev | Up | Next
pci_find_next_ht_capability | Home | pci_find_parent_resource